restinio::ip_blocker::noop_ip_blocker_t Struct Reference

The default no-op IP-blocker. More...

`#include <ip_blocker.hpp>`

## Detailed Description

The default no-op IP-blocker.

This type is used for ip_blocker_t trait by default.

NOTE. When this type if used no calls to IP-blocker will be generated. It means that there won't be any performance penalties related to invoking of IP-blocker's inspect() method.

Since
  v.0.5.1

Definition at line 93 of file ip_blocker.hpp.

The documentation for this struct was generated from the following file:

- restinio/ip_blocker.hpp